### YamlMime:ManagedReference
items:
- uid: Voile.MathUtils
  commentId: T:Voile.MathUtils
  id: MathUtils
  parent: Voile
  children:
  - Voile.MathUtils.EaseOutBack(System.Single)
  - Voile.MathUtils.EaseOutElastic(System.Single)
  - Voile.MathUtils.Lerp(System.Single,System.Single,System.Double)
  - Voile.MathUtils.LerpColor(Voile.Color,Voile.Color,System.Double)
  - Voile.MathUtils.RandomVector2(System.Numerics.Vector2,System.Numerics.Vector2)
  langs:
  - csharp
  - vb
  name: MathUtils
  nameWithType: MathUtils
  fullName: Voile.MathUtils
  type: Class
  source:
    remote:
      path: Voile/Source/Utils/MathUtils.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: MathUtils
    path: Source/Utils/MathUtils.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static class MathUtils
    content.vb: Public Module MathUtils
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.MathUtils.Lerp(System.Single,System.Single,System.Double)
  commentId: M:Voile.MathUtils.Lerp(System.Single,System.Single,System.Double)
  id: Lerp(System.Single,System.Single,System.Double)
  parent: Voile.MathUtils
  langs:
  - csharp
  - vb
  name: Lerp(float, float, double)
  nameWithType: MathUtils.Lerp(float, float, double)
  fullName: Voile.MathUtils.Lerp(float, float, double)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/MathUtils.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Lerp
    path: Source/Utils/MathUtils.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static float Lerp(float a, float b, double t)
    parameters:
    - id: a
      type: System.Single
    - id: b
      type: System.Single
    - id: t
      type: System.Double
    return:
      type: System.Single
    content.vb: Public Shared Function Lerp(a As Single, b As Single, t As Double) As Single
  overload: Voile.MathUtils.Lerp*
  nameWithType.vb: MathUtils.Lerp(Single, Single, Double)
  fullName.vb: Voile.MathUtils.Lerp(Single, Single, Double)
  name.vb: Lerp(Single, Single, Double)
- uid: Voile.MathUtils.LerpColor(Voile.Color,Voile.Color,System.Double)
  commentId: M:Voile.MathUtils.LerpColor(Voile.Color,Voile.Color,System.Double)
  id: LerpColor(Voile.Color,Voile.Color,System.Double)
  parent: Voile.MathUtils
  langs:
  - csharp
  - vb
  name: LerpColor(Color, Color, double)
  nameWithType: MathUtils.LerpColor(Color, Color, double)
  fullName: Voile.MathUtils.LerpColor(Voile.Color, Voile.Color, double)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/MathUtils.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: LerpColor
    path: Source/Utils/MathUtils.cs
    startLine: 8
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Color LerpColor(Color colorA, Color colorB, double t)
    parameters:
    - id: colorA
      type: Voile.Color
    - id: colorB
      type: Voile.Color
    - id: t
      type: System.Double
    return:
      type: Voile.Color
    content.vb: Public Shared Function LerpColor(colorA As Color, colorB As Color, t As Double) As Color
  overload: Voile.MathUtils.LerpColor*
  nameWithType.vb: MathUtils.LerpColor(Color, Color, Double)
  fullName.vb: Voile.MathUtils.LerpColor(Voile.Color, Voile.Color, Double)
  name.vb: LerpColor(Color, Color, Double)
- uid: Voile.MathUtils.RandomVector2(System.Numerics.Vector2,System.Numerics.Vector2)
  commentId: M:Voile.MathUtils.RandomVector2(System.Numerics.Vector2,System.Numerics.Vector2)
  id: RandomVector2(System.Numerics.Vector2,System.Numerics.Vector2)
  parent: Voile.MathUtils
  langs:
  - csharp
  - vb
  name: RandomVector2(Vector2, Vector2)
  nameWithType: MathUtils.RandomVector2(Vector2, Vector2)
  fullName: Voile.MathUtils.RandomVector2(System.Numerics.Vector2, System.Numerics.Vector2)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/MathUtils.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: RandomVector2
    path: Source/Utils/MathUtils.cs
    startLine: 18
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static Vector2 RandomVector2(Vector2 min, Vector2 max)
    parameters:
    - id: min
      type: System.Numerics.Vector2
    - id: max
      type: System.Numerics.Vector2
    return:
      type: System.Numerics.Vector2
    content.vb: Public Shared Function RandomVector2(min As Vector2, max As Vector2) As Vector2
  overload: Voile.MathUtils.RandomVector2*
- uid: Voile.MathUtils.EaseOutBack(System.Single)
  commentId: M:Voile.MathUtils.EaseOutBack(System.Single)
  id: EaseOutBack(System.Single)
  parent: Voile.MathUtils
  langs:
  - csharp
  - vb
  name: EaseOutBack(float)
  nameWithType: MathUtils.EaseOutBack(float)
  fullName: Voile.MathUtils.EaseOutBack(float)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/MathUtils.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: EaseOutBack
    path: Source/Utils/MathUtils.cs
    startLine: 26
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static float EaseOutBack(float x)
    parameters:
    - id: x
      type: System.Single
    return:
      type: System.Single
    content.vb: Public Shared Function EaseOutBack(x As Single) As Single
  overload: Voile.MathUtils.EaseOutBack*
  nameWithType.vb: MathUtils.EaseOutBack(Single)
  fullName.vb: Voile.MathUtils.EaseOutBack(Single)
  name.vb: EaseOutBack(Single)
- uid: Voile.MathUtils.EaseOutElastic(System.Single)
  commentId: M:Voile.MathUtils.EaseOutElastic(System.Single)
  id: EaseOutElastic(System.Single)
  parent: Voile.MathUtils
  langs:
  - csharp
  - vb
  name: EaseOutElastic(float)
  nameWithType: MathUtils.EaseOutElastic(float)
  fullName: Voile.MathUtils.EaseOutElastic(float)
  type: Method
  source:
    remote:
      path: Voile/Source/Utils/MathUtils.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: EaseOutElastic
    path: Source/Utils/MathUtils.cs
    startLine: 34
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public static float EaseOutElastic(float x)
    parameters:
    - id: x
      type: System.Single
    return:
      type: System.Single
    content.vb: Public Shared Function EaseOutElastic(x As Single) As Single
  overload: Voile.MathUtils.EaseOutElastic*
  nameWithType.vb: MathUtils.EaseOutElastic(Single)
  fullName.vb: Voile.MathUtils.EaseOutElastic(Single)
  name.vb: EaseOutElastic(Single)
references:
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.MathUtils.Lerp*
  commentId: Overload:Voile.MathUtils.Lerp
  href: Voile.MathUtils.html#Voile_MathUtils_Lerp_System_Single_System_Single_System_Double_
  name: Lerp
  nameWithType: MathUtils.Lerp
  fullName: Voile.MathUtils.Lerp
- uid: System.Single
  commentId: T:System.Single
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.single
  name: float
  nameWithType: float
  fullName: float
  nameWithType.vb: Single
  fullName.vb: Single
  name.vb: Single
- uid: System.Double
  commentId: T:System.Double
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.double
  name: double
  nameWithType: double
  fullName: double
  nameWithType.vb: Double
  fullName.vb: Double
  name.vb: Double
- uid: Voile.MathUtils.LerpColor*
  commentId: Overload:Voile.MathUtils.LerpColor
  href: Voile.MathUtils.html#Voile_MathUtils_LerpColor_Voile_Color_Voile_Color_System_Double_
  name: LerpColor
  nameWithType: MathUtils.LerpColor
  fullName: Voile.MathUtils.LerpColor
- uid: Voile.Color
  commentId: T:Voile.Color
  parent: Voile
  href: Voile.Color.html
  name: Color
  nameWithType: Color
  fullName: Voile.Color
- uid: Voile.MathUtils.RandomVector2*
  commentId: Overload:Voile.MathUtils.RandomVector2
  href: Voile.MathUtils.html#Voile_MathUtils_RandomVector2_System_Numerics_Vector2_System_Numerics_Vector2_
  name: RandomVector2
  nameWithType: MathUtils.RandomVector2
  fullName: Voile.MathUtils.RandomVector2
- uid: System.Numerics.Vector2
  commentId: T:System.Numerics.Vector2
  parent: System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  name: Vector2
  nameWithType: Vector2
  fullName: System.Numerics.Vector2
- uid: System.Numerics
  commentId: N:System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Numerics
  nameWithType: System.Numerics
  fullName: System.Numerics
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
- uid: Voile.MathUtils.EaseOutBack*
  commentId: Overload:Voile.MathUtils.EaseOutBack
  href: Voile.MathUtils.html#Voile_MathUtils_EaseOutBack_System_Single_
  name: EaseOutBack
  nameWithType: MathUtils.EaseOutBack
  fullName: Voile.MathUtils.EaseOutBack
- uid: Voile.MathUtils.EaseOutElastic*
  commentId: Overload:Voile.MathUtils.EaseOutElastic
  href: Voile.MathUtils.html#Voile_MathUtils_EaseOutElastic_System_Single_
  name: EaseOutElastic
  nameWithType: MathUtils.EaseOutElastic
  fullName: Voile.MathUtils.EaseOutElastic
